@charset "utf-8";

/** ***************************************************************************
 * 共用
 * ************************************************************************* */

#main {
  padding-bottom: 60px;
}

#main div.body {
  max-width: 1120px;
}

@media screen and (min-width:1001px) {

  #main {
    padding-bottom: 120px;
  }

}

/**
 * セクショニング
 */

#main :where(.section ~ .section) {
  margin-top: 60px;
}

#main :where(.column ~ .column) {
  margin-top: 40px;
}

@media screen and (min-width:1001px) {

  #main :where(.section ~ .section) {
    margin-top: 120px;
  }

  #main :where(.column ~ .column) {
    margin-top: 60px;
  }

}

/** ***************************************************************************
 * ビジュアル
 * ************************************************************************* */

#visual {
  overflow: hidden;
  position: relative;
  z-index: 0;
}

#visual div.track {
  height: calc(100dvh - 53px);
  padding-top: 45dvh;
  background: url("../_image/index/visual-default.jpg") left center / cover no-repeat;
}

#visual div.list {
  mask: url("../_image/index/visual-mask.svg") left center / 100% 100% no-repeat;
  position: relative;
  z-index: 0;
}

#visual div.list::before {
  content: '';
  width: 100%;
  height: 100%;
  background: url("../_image/_common/visual-logo.svg") left center / 100% 100% no-repeat;
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
}

@media screen and (min-width:1001px) {

  #visual div.track {
    height: calc(100vh - 50px);
    max-height: calc(100vw / 1.5);
    padding-top: unset;
    padding-left: min(33.75%, 530px) !important;
  }

}

/**
 * テキスト
 */

#visual div.text {
  width: 100%;
  height: 100dvh;
  padding-bottom: 35dvh;
  color: #fff;
  line-height: 1;
  font-size: 1.375em;
  font-weight: 600;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
}

#visual div.text small {
  margin-bottom: 20px;
  letter-spacing: 2px;
  line-height: 1;
  font-family: Jost, sans-serif;
  font-size: 2em;
  font-style: italic;
  font-weight: 500;
}

@media screen and (min-width:1001px) {

  #visual div.text {
    height: calc(100% - 50px);
    padding-bottom: 10%;
    font-size: 1.875em;
  }

  #visual div.text small {
    margin-bottom: 30px;
    font-size: 3.67em;
  }

}

/**
 * スライド
 */

#visual div.slide {
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

/**
 * ページャー
 */

#visual div.pager {
  display: none;
}

#visual div.pager ul button {
  width: 30px;
  height: 30px;
  margin: 0;
  padding: 0;
  appearance: none;
  cursor: pointer;
  color: inherit;
  border: none;
  border-radius: 0;
  font: inherit;
  background: none;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}

#visual div.pager ul button::before {
  content: '';
  width: 12px;
  height: 12px;
  border-radius: 9999px;
  background-color: #fff;
}

#visual div.pager ul button.is-active::before {
  background-color: rgb(var(--accentcolor-2));
}

@media screen and (min-width:1001px) {

  #visual div.pager {
    padding: 10px 0;
    display: block;
    position: static;
  }

  #visual div.pager ul button::before {
    background-color: #ccc;
  }

  #visual div.pager ul button.is-active::before {
    background-color: rgb(var(--accentcolor-1));
  }

}

/** ***************************************************************************
 * エルテックの強み
 * ************************************************************************* */

#strength {
  padding-bottom: 60px;
  background-image:
    url("../_image/index/strength-logo.png"),
    url("../_image/index/strength-bg.jpg");
  background-position:
    top 50px left calc(50% + 500px),
    center bottom;
  background-size:
    580px auto,
    100% 100%;
  background-repeat: no-repeat;
}

@media screen and (min-width:1001px) {

  #strength div.body {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
  }

}

/**
 * タイトル
 */

#strength [class*="section-title"] {
  align-items: center;
}

#strength [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #strength [class*="section-title"] {
    writing-mode: vertical-rl;
    align-items: flex-start;
  }

  #strength [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/**
 * 内容
 */

#strength div.content .catchcopy {
  margin-bottom: 20px;
  color: rgb(var(--accentcolor-1));
  line-height: 1.5;
  font-size: 1.5em;
  font-weight: 700;
  text-align: left;
}

#strength div.content .button {
  margin-top: 30px;
  text-align: center;
}

#strength div.content .button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #strength div.content {
    max-width: 30em;
    margin-left: 7%;
  }

  #strength div.content .catchcopy {
    margin-bottom: 30px;
    font-size: 1.875em;
  }

  #strength div.content .button {
    margin-top: 40px;
    text-align: unset;
  }

}

/** ***************************************************************************
 * 業務内容
 * ************************************************************************* */

/**
 * タイトル
 */

#service [class*="section-title"] {
  align-items: center;
}

#service [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #service [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/**
 * 業務内容
 */

#service div.contents {
  padding-top: 60px;
  padding-bottom: 60px;
  position: relative;
  z-index: 0;
}

#service div.contents::after {
  content: '';
  width: var(--innerWidth);
  max-width: none;
  height: 100%;
  background-color: rgb(var(--accentcolor-2));
  position: absolute;
  z-index: -1;
  top: 0;
  left: var(--innerCenter);
}

#service section.service {
  padding: 3em 2em;
  counter-increment: number;
  border-radius: 30px;
  background-color: rgba(255, 255, 255, 0.8);
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
  position: relative;
  z-index: 2;
}

#service section.service ~ section.service {
  margin-top: 60px;
}

@media screen and (min-width:1001px) {

  #service div.contents {
    padding: 80px 0;
  }

  #service section.service {
    min-height: 100vh;
    padding-right: 58%;
    border-radius: unset;
    background-color: unset;
    backdrop-filter: unset;
  }

}

/**
 * タイトル
 */

#service section.service .service-title {
  margin-bottom: 20px;
  color: rgb(var(--accentcolor-1));
  line-height: 1.5;
  font-size: 1.375em;
  font-weight: 600;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
  justify-content: flex-start;
}

#service section.service .service-title::before {
  content: 'Strength';
  margin-bottom: 5px;
  letter-spacing: 1px;
  line-height: 1;
  font-family: Jost, sans-serif;
  font-size: 1.125em;
  font-style: italic;
  font-weight: 500;
  order: -2;
}

#service section.service .service-title::after {
  content: counter(number, decimal-leading-zero);
  width: calc(100% - 1.625em);
  margin-bottom: 5px;
  letter-spacing: 1px;
  line-height: 0.75;
  font-family: Jost, sans-serif;
  font-size: 2.96em;
  font-style: italic;
  font-weight: 500;
  order: -1;
}

#service section.service .service-title + * {
  margin-top: 0;
}

@media screen and (min-width:1001px) {

  #service section.service .service-title {
    margin-bottom: 40px;
    line-height: 1.5;
    font-size: 1.6875em;
    font-weight: 600;
  }

  #service section.service .service-title::before {
    margin-bottom: 30px;
  }

  #service section.service .service-title::after {
    margin-bottom: 30px;
  }

}

/**
 * 内容
 */

#service section.service div.content .button {
  margin-top: 30px;
  text-align: center;
}

#service section.service div.content .button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #service section.service div.content .button {
    margin-top: 50px;
    text-align: unset;
  }

}

/**
 * 背景画像
 */

#service div.background {
  width: var(--innerWidth);
  max-width: none;
  height: 100%;
  position: absolute;
  z-index: 1;
  top: 0;
  left: var(--innerCenter);
}

#service div.background div.image {
  width: 100%;
  height: calc(100vh - 74px - 53px);
  position: sticky;
  top: 74px;
}

#service div.background div.image div.item {
  width: 100%;
  height: 100%;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  transition: opacity 0.8s ease-in-out 0.0s;
  opacity: 0;
}

#service div.background div.image div.item.active {
  z-index: 1;
  opacity: 1;
}

@media screen and (min-width:1001px) {

  #service div.background {
    width: calc(var(--innerWidth) / 2 - 20px);
    height: calc(100% - 160px);
    top: 80px;
    left: 50%;
  }

  #service div.background div.image {
    height: calc(100vh - 160px);
    top: 130px;
  }

  #service div.background div.image div.item {
    border-radius: 60px;
    overflow: hidden;
  }

}

/** ***************************************************************************
 * 製品紹介
 * ************************************************************************* */

#product {
  overflow: hidden;
}

/**
 * タイトル
 */

#product [class*="section-title"] {
  align-items: center;
}

#product [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #product [class*="section-title"] {
    align-items: flex-start;
  }

  #product [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/**
 * 内容
 */

@media screen and (min-width:1001px) {

  #product div.contents {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/* 内容 */

@media screen and (min-width:1001px) {

  #product div.contents div.content {
    width: 70%;
    padding-right: 2em;
  }

}

/* ボタン */

#product div.contents div.button {
  margin-top: 30px;
  text-align: center;
}

#product div.contents div.button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #product div.contents div.button {
    margin: unset;
    text-align: right;
  }

}

/**
 * 製品紹介
 */

#product div.product {
  width: var(--innerWidth);
  max-width: none;
  padding: 40px 0;
  position: relative;
  z-index: 0;
  left: var(--innerCenter);
}

#product div.product::after {
  content: '';
  width: 100%;
  height: 100%;
  background: url("../_image/index/product-bg.jpg") center bottom / cover no-repeat;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
}

#product div.product div.slide {
  padding: 6px 6px 25px;
  border-radius: 10px;
  background-color: #fff;
}

#product div.product div.slide a {
  height: 100%;
  color: inherit;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
}

@media screen and (min-width:1001px) {

  #product div.product {
    padding: 80px 0;
  }

}

/* 画像 */

#product div.product div.slide img {
  border-radius: 8px;
}

/* タイトル */

#product div.product div.slide div.title {
  width: fit-content;
  margin: 15px auto;
  padding: 0 0.5em;
  font-weight: 600;
}

/* ボタン */

#product div.product div.slide [class*="button"] {
  min-height: unset;
  margin-top: 15px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 0;
  margin: auto auto 0;
  padding-top: 0.375em;
  padding-bottom: 0.5em;
  display: flex;
}

@media screen and (min-width:1001px) {

  #product div.product div.slide [class*="button"] {
    width: 70%;
  }

}

/** ***************************************************************************
 * SDGsへの取り組み
 * ************************************************************************* */

#sdgs div.contents {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
}

@media screen and (min-width:1001px) {

  #sdgs div.contents {
    display: block;
    position: relative;
    z-index: 0;
  }

}

/**
 * 内容
 */

@media screen and (min-width:1001px) {

  #sdgs div.content {
    padding: 1em 58% 1em 0;
  }

}

/* タイトル */

#sdgs [class*="section-title"] {
  margin-bottom: 15px;
  align-items: center;
}

#sdgs [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #sdgs [class*="section-title"] {
    margin-bottom: 30px;
    align-items: flex-start;
  }

  #sdgs [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/* ボタン */

#sdgs div.content .button {
  margin-top: 30px;
  text-align: center;
}

#sdgs div.content .button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #sdgs div.content .button {
    margin-top: 50px;
    text-align: unset;
  }

}

/**
 * 画像
 */

#sdgs div.image {
  max-width: none;
  height: 200px;
  margin-left: -19px;
  margin-right: -19px;
  margin-bottom: 25px;
  border-radius: 30px;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  order: -1;
}

@media screen and (min-width:1001px) {

  #sdgs div.image {
    width: calc(var(--innerWidth) / 2 - 20px);
    max-width: 770px;
    height: 100%;
    margin: unset;
    border-radius: 60px;
    position: absolute;
    z-index: 0;
    top: 0;
    left: 50%;
  }

}

/** ***************************************************************************
 * 会社案内
 * ************************************************************************* */

#company {
  overflow: hidden;
}

#company div.contents {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
}

@media screen and (min-width:1001px) {

  #company div.contents {
    display: block;
    position: relative;
    z-index: 0;
  }

}

/**
 * 内容
 */

@media screen and (min-width:1001px) {

  #company div.content {
    padding: 1em 0 1em 58%;
  }

}

/* タイトル */

#company [class*="section-title"] {
  margin-bottom: 15px;
  align-items: center;
}

#company [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #company [class*="section-title"] {
    margin-bottom: 30px;
    align-items: flex-start;
  }

  #company [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/* ページナビ */

#company div.content ul.pagenav {
  margin-top: 2em;
}

#company div.content ul.pagenav li {
  border-top: 1px solid #ccc;
}

#company div.content ul.pagenav li:last-child {
  border-bottom: 1px solid #ccc;
}

#company div.content ul.pagenav li a {
  padding: 10px 0;
  color: inherit;
  line-height: 1.5;
  font-size: 1.25em;
  font-weight: 600;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  transition: background-color 0.3s ease-in-out 0.0s;
  background-color: transparent;
}

#company div.content ul.pagenav li a:hover {
  background-color: rgba(var(--accentcolor-2), 0.6);
}

#company div.content ul.pagenav li a::after {
  content: '';
  width: 1.125em;
  height: 1.125em;
  margin-left: auto;
  margin-right: 0;
  background: url("../_image/_common/icon-arrow-2.png") 0 0 / 100% 100% no-repeat;
}

#company div.content ul.pagenav li img {
  width: 90px;
  margin-right: 0.75em;
  border-radius: 8px;
}

@media screen and (min-width:1001px) {

  #company div.content ul.pagenav li a {
    padding: 10px;
    font-size: 1.5em;
  }

}

/**
 * 画像
 */

#company div.image {
  max-width: none;
  height: 200px;
  margin-left: -19px;
  margin-right: -19px;
  margin-bottom: 25px;
  border-radius: 30px;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  order: -1;
}

@media screen and (min-width:1001px) {

  #company div.image {
    width: calc(var(--innerWidth) / 2 - 20px);
    max-width: 770px;
    height: 100%;
    margin: unset;
    border-radius: 60px;
    position: absolute;
    z-index: 0;
    top: 0;
    right: 50%;
  }

}

/**
 * ロゴ
 */

#company div.logo {
  width: var(--innerWidth);
  max-width: none;
  margin-top: 15px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  position: relative;
  z-index: 0;
  left: var(--innerCenter);
}

#company div.logo div.item {
  max-width: 170%;
  animation: company-logo 20s linear 0.0s infinite both;
  flex-shrink: 0;
}

@media screen and (min-width:1001px) {

  #company div.logo {
    margin-top: 20px;
  }

  #company div.logo div.item {
    max-width: none;
  }

}

@keyframes company-logo {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

/** ***************************************************************************
 * 採用情報
 * ************************************************************************* */

#recruit {
  padding-top: 60px;
  padding-bottom: 60px;
  background-color: rgb(var(--accentcolor-2));
  overflow: hidden;
  position: relative;
  z-index: 0;
}

#recruit::after {
  content: '';
  width: 100%;
  height: 100%;
  background: url("../_image/index/recruit-bg.png") 0 0 / auto 100% no-repeat;
  filter: brightness(0) invert(1);
  opacity: 0.6;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
}

@media screen and (min-width:1001px) {

  #recruit {
    padding-top: 120px;
    padding-bottom: 120px;
  }

  #recruit::after {
    width: 100%;
    filter: none;
    opacity: unset;
    position: absolute;
    z-index: -1;
    top: 0;
    left: calc(50% - 100px);
  }

}

/**
 * 内容
 */

@media screen and (min-width:1001px) {

  #recruit div.content {
    padding-right: 58%;
  }

}

/* タイトル */

#recruit [class*="section-title"] {
  align-items: center;
}

#recruit [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #recruit [class*="section-title"] {
    align-items: flex-start;
  }

  #recruit [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/* キャッチコピー */

#recruit div.content .catchcopy {
  margin-bottom: 20px;
  color: rgb(var(--accentcolor-1));
  line-height: 1.5;
  font-size: 1.5em;
  font-weight: 700;
  text-align: left;
}

@media screen and (min-width:1001px) {

  #recruit div.content .catchcopy {
    margin-bottom: 30px;
    font-size: 1.875em;
  }

}

/* ボタン */

#recruit div.content .button {
  margin-top: 30px;
  text-align: center;
}

#recruit div.content .button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #recruit div.content .button {
    margin-top: 50px;
    text-align: unset;
  }

}

/** ***************************************************************************
 * ニュース・トピックス
 * ************************************************************************* */

@media screen and (min-width:1001px) {

  #topics div.contents {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/**
 * タイトル
 */

#topics [class*="section-title"] {
  align-items: center;
}

#topics [class*="section-title"]::before {
  font-size: 3.5em;
}

@media screen and (min-width:1001px) {

  #topics [class*="section-title"] {
    align-items: flex-start;
  }

  #topics [class*="section-title"]::before {
    font-size: 4.0em;
  }

}

/**
 * カテゴリー
 */

#topics div.category ul.list {
  margin-bottom: 30px;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: center;
}

#topics div.category ul.list li {
  width: calc(100% / 2 - 10px);
  margin: 5px;
}

#topics div.category ul.list li a {
  padding: 0.25em 1em 0.375em;
  font-weight: 600;
  text-align: center;
  text-decoration: none;
  border-radius: 9999px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition:
    color 0.3s ease-in-out 0.0s,
    background-color 0.3s ease-in-out 0.0s;
  color: inherit;
  background-color: rgb(var(--accentcolor-2));
}

#topics div.category ul.list li a:hover {
  color: #fff;
  background-color: rgb(var(--accentcolor-1));
}

@media screen and (min-width:1001px) {

  #topics div.category ul.list {
    width: 240px;
    margin: unset;
    flex-direction: column;
    justify-content: flex-start;
    flex-shrink: 0;
  }

  #topics div.category ul.list li {
    width: 100%;
    margin: 0 0 10px;
  }

}

/**
 * ニュース・トピックス
 */

#topics div.topics ul.list li {
  border-top: 1px solid #ccc;
}

#topics div.topics ul.list li:last-child {
  border-bottom: 1px solid #ccc;
}

#topics div.topics ul.list li a {
  padding: 1em 0;
  color: inherit;
  text-decoration: none;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
}

#topics div.topics ul.list li a[href] {
  transition: background-color 0.3s ease-in-out 0.0s;
  background-color: transparent;
}

#topics div.topics ul.list li a[href]:hover {
  background-color: rgba(var(--accentcolor-2), 0.6);
}

@media screen and (min-width:1001px) {

  #topics div.topics {
    padding-left: 5%;
    flex-grow: 1;
  }

  #topics div.topics ul.list li a {
    padding: 1.5em 1em;
  }

}

/* カテゴリー */

#topics div.topics ul.list div.category {
  min-width: 10em;
  margin-left: 1em;
  padding: 5px 1em 7px;
  padding: 0.125em 1em 0.25em;
  color: rgb(var(--accentcolor-1));
  line-height: 1;
  font-size: 0.875em;
  font-weight: 500;
  text-align: center;
  border-radius: 9999px;
  border: 1px solid rgb(var(--accentcolor-1));
}

/* タイトル */

#topics div.topics ul.list div.title {
  width: 100%;
  margin-top: 0.75em;
}

/* ボタン */

#topics div.topics .button {
  margin-top: 30px;
  text-align: center;
}

#topics div.topics .button a {
  min-width: 250px;
}

@media screen and (min-width:1001px) {

  #topics div.topics .button {
    margin-top: 50px;
    text-align: right;
  }

}
